﻿using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace CustomFilteringControl
{
    public class AgendaActivityTypeConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (Object.Equals(value, Telerik.Windows.Data.FilterDescriptor.UnsetValue))
            {
                // When the filter is turned off this is what your editor will get.
                return null;
            }

            return value;
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            if (value == null)
            {
                // When your editor want to turn off the filter this is what it should return.
                return Telerik.Windows.Data.FilterDescriptor.UnsetValue;
            }

            return value;
        }
    }
}
